# Uses of Interface
org.apache.lucene.search.MatchesIterator

Packages that use MatchesIterator
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of MatchesIterator in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement MatchesIterator
  Modifier and Type
  Class
  Description
  `class`
  `FilterMatchesIterator`
  A MatchesIterator that delegates all calls to another MatchesIterator
  Fields in org.apache.lucene.search declared as MatchesIterator
  Modifier and Type
  Field
  Description
  `protected final MatchesIterator`
  FilterMatchesIterator.`in`
  The delegate
  Methods in org.apache.lucene.search that return MatchesIterator
  Modifier and Type
  Method
  Description
  `static MatchesIterator`
  MatchesUtils.`disjunction(List<MatchesIterator> subMatches)`
  Create a MatchesIterator that iterates in order over all matches in a set of subiterators
  `static MatchesIterator`
  MatchesUtils.`disjunction(LeafReaderContext context, int doc, Query query, String field, BytesRefIterator terms)`
  Create a MatchesIterator that is a disjunction over a list of terms extracted from a `BytesRefIterator`.
  `MatchesIterator`
  Matches.`getMatches(String field)`
  Returns a `MatchesIterator` over the matches for a single field, or `null` if there are no matches in that field.
  `MatchesIterator`
  NamedMatches.`getMatches(String field)`
  `MatchesIterator`
  FilterMatchesIterator.`getSubMatches()`
  `MatchesIterator`
  MatchesIterator.`getSubMatches()`
  Returns a MatchesIterator that iterates over the positions and offsets of individual terms within the current match
  Method parameters in org.apache.lucene.search with type arguments of type MatchesIterator
  Modifier and Type
  Method
  Description
  `static MatchesIterator`
  MatchesUtils.`disjunction(List<MatchesIterator> subMatches)`
  Create a MatchesIterator that iterates in order over all matches in a set of subiterators
  `static Matches`
  MatchesUtils.`forField(String field, IOSupplier<MatchesIterator> mis)`
  Create a Matches for a single field
  Constructors in org.apache.lucene.search with parameters of type MatchesIterator
  Modifier
  Constructor
  Description
  `protected`
  `FilterMatchesIterator(MatchesIterator in)`
  Create a new FilterMatchesIterator